#property copyright "Steve Norman Ltd snorms@btinternet.com"
#property link      ""

#property indicator_chart_window

extern int LookBackBars = 2000;
extern bool MaxPipsBox = FALSE;
extern int MaxBoxPips = 15;
extern color AIMSBox = C'0x67,0x76,0x85';
extern color BigBox = LightSlateGray;
int G_bars_96;

// E37F0136AA3FFAF149B351F6A4C948E9
int init() {
   return (0);
}

// 52D46093050F38C27267BCE42543EF60
int deinit() {
   string Ls_unused_4;
   int Li_0 = ObjectsTotal();
   for (int Li_12 = Li_0; Li_12 >= 0; Li_12--) ObjectDelete("Hline" + Li_12);
   ObjectDelete("Hlineend");
   Comment("");
   return (0);
}

// EA2B2676C28C0DB26D39331A336C6B92
int start() {
   int Li_0;
   double Ld_20;
   if (Digits == 4 || Digits == 2) Li_0 = 1 / Point;
   else Li_0 = 0.1 / Point;
   double price_4 = High[LookBackBars];
   double price_12 = Low[LookBackBars];
   if (Bars != G_bars_96) {
      G_bars_96 = Bars;
      for (int Li_28 = LookBackBars; Li_28 > 2; Li_28--) {
         if (iFractals(NULL, Period(), MODE_UPPER, Li_28) != 0.0) price_4 = iFractals(NULL, Period(), MODE_UPPER, Li_28);
         if (iFractals(NULL, Period(), MODE_LOWER, Li_28) != 0.0) price_12 = iFractals(NULL, Period(), MODE_LOWER, Li_28);
         ObjectDelete("Hline" + Li_28);
         ObjectCreate("Hline" + Li_28, OBJ_RECTANGLE, 0, Time[Li_28], price_4, Time[Li_28 + 1], price_12);
         ObjectSet("Hline" + Li_28, OBJPROP_COLOR, AIMSBox);
         Ld_20 = (price_4 - price_12) * Li_0;
         if (MaxPipsBox == TRUE && Ld_20 > MaxBoxPips) ObjectSet("Hline" + Li_28, OBJPROP_COLOR, BigBox);
      }
      ObjectDelete("Hlineend");
      ObjectCreate("Hlineend", OBJ_RECTANGLE, 0, Time[0], price_4, Time[Li_28 + 1], price_12);
      ObjectSet("Hlineend", OBJPROP_COLOR, AIMSBox);
      if (MaxPipsBox == TRUE && Ld_20 > MaxBoxPips) ObjectSet("Hlineend", OBJPROP_COLOR, BigBox);
   }
   return (0);
}
